Subject: [os2genau_digest] No. 925
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 25 Aug 2004 00:01:10 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 24 August 2004
 Number  925
**************************************************

Subjects for today
 
1  Re:  whitepages locks Firefox..? : Kris Steenhaut <kris.steenhaut at hccnet.nl>
2  Re:  whitepages locks Firefox..? : David Forrester" <davidfor at internode.on dot net>
3  Re:  whitepages locks Firefox..? : Kris Steenhaut <kris.steenhaut at hccnet.nl>
4  Re:  whitepages locks Firefox..? : David Forrester" <davidfor at internode.on dot net>
5  Re:  whitepages locks Firefox..? : Kris Steenhaut <kris.steenhaut at hccnet.nl>
6  Re:  whitepages locks Firefox..? : David Forrester" <davidfor at internode.on dot net>
7  Re:  Java plugin woes, was Re:  Most stable Browser ? : Voytek Eymont" <voytek at sbt dot net dot au>
8  Re:  Java plugin woes,       was Re:  Most stable Browser ? : Kris Steenhaut <kris.steenhaut at hccnet.nl>

**= Email   1 ==========================**

Date:  Mon, 23 Aug 2004 15:23:03 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  whitepages locks Firefox..?

Voytek Eymont schreef:

>Voytek Eymont said:
>  
>
>    Java Plug-in 1.3.1 for Netscape Navigator (DLL Helper)
>
>  
>

As I told in an earlier message, set the plugins to a specific directory 
(out of the mozilla program tree), and mozilla and all it's derivates 
will use the plugins in that directory.

Yes, mozilla and all it's derivates use the very same plugins, so you 
only need to have them once at your system.
In the end, it's rather easy to keep it neat and tidy  (and limpid).

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 24 Aug 2004 09:20:40 +1000
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re:  whitepages locks Firefox..?

On Mon, 23 Aug 2004 15:23:03 +0200, Kris Steenhaut wrote:

>
>
>Voytek Eymont schreef:
>
>>Voytek Eymont said:
>>  
>>
>>    Java Plug-in 1.3.1 for Netscape Navigator (DLL Helper)
>>
>>  
>>
>
>As I told in an earlier message, set the plugins to a specific directory 
>(out of the mozilla program tree), and mozilla and all it's derivates 
>will use the plugins in that directory.
>
>Yes, mozilla and all it's derivates use the very same plugins, so you 
>only need to have them once at your system.
>In the end, it's rather easy to keep it neat and tidy  (and limpid).
>

The only danger might be the "null" plugin.  This is npnulos2.dll. 
While this is probably safe for all recent builds, I wouldn't be so
sure about mixing versions between the VACPP and GCC build.

Personally, I've never liked the plugins in a common directory.  There
have been far to many Mozilla builds that have not been happy with all
the plugins (especially Java).  So, I have always put the plugins in
the install directories so that I could control which build had access
to what plugins.
--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 24 Aug 2004 02:14:54 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  whitepages locks Firefox..?

David Forrester schreef:

>On Mon, 23 Aug 2004 15:23:03 +0200, Kris Steenhaut wrote:
>
>  
>
>>Voytek Eymont schreef:
>>
>>    
>>
>>>Voytek Eymont said:
>>> 
>>>
>>>   Java Plug-in 1.3.1 for Netscape Navigator (DLL Helper)
>>>
>>> 
>>>
>>>      
>>>
>>As I told in an earlier message, set the plugins to a specific directory 
>>(out of the mozilla program tree), and mozilla and all it's derivates 
>>will use the plugins in that directory.
>>
>>Yes, mozilla and all it's derivates use the very same plugins, so you 
>>only need to have them once at your system.
>>In the end, it's rather easy to keep it neat and tidy  (and limpid).
>>
>>    
>>
>
>The only danger might be the "null" plugin.  This is npnulos2.dll. 
>While this is probably safe for all recent builds, I wouldn't be so
>sure about mixing versions between the VACPP and GCC build.
>
>  
>
Well, I'm copying since almost two years the very latest npnulos2.dll 
over to my own made plugins directory, and it never made the slightest 
difference.

If you want to talk about "danger", well it is "dangerous" to keep user 
files in the program tree. Because, when your program tree is wiped out, 
also your user files are gone. And other obvious reasons.

>Personally, I've never liked the plugins in a common directory.  There
>have been far to many Mozilla builds that have not been happy with all
>the plugins (especially Java).
>
That is simply not  the trueth. If mozilla is "unhappy", it is for other 
reasons. A messy java install for instance. ibweb and mozilla dll files 
conflicting with each other. Simply a bug in mozilla. Shortage of memory 
(rather important the latter).

Anyway, as mozilla 1.7 is stable, there is no need to call for "danger". 
Keep it simple, keep it limpid (programmers don't like limpidity 
apparently) and all will be well.

>  So, I have always put the plugins in
>the install directories so that I could control which build had access
>to what plugins.
>-
>

Which means you have multiple copies of the same files conflicting which 
each other. That is what I do call "dangerous". And that's why some 
chaps have all these troubles with mozilla.

>-
>David Forrester
>davidfor at internode.on dot net
>http://www.os2world dot com/djfos2/
>
>

> 

>
>
>  
>

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 24 Aug 2004 14:03:54 +1000
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re:  whitepages locks Firefox..?

On Tue, 24 Aug 2004 02:14:54 +0200, Kris Steenhaut wrote:

>
>
>David Forrester schreef:
>
>>On Mon, 23 Aug 2004 15:23:03 +0200, Kris Steenhaut wrote:
>>
>>  
>>
>>>Voytek Eymont schreef:
>>>
>>>    
>>>
>>>>Voytek Eymont said:
>>>> 
>>>>
>>>>   Java Plug-in 1.3.1 for Netscape Navigator (DLL Helper)
>>>>
>>>> 
>>>>
>>>>      
>>>>
>>>As I told in an earlier message, set the plugins to a specific directory 
>>>(out of the mozilla program tree), and mozilla and all it's derivates 
>>>will use the plugins in that directory.
>>>
>>>Yes, mozilla and all it's derivates use the very same plugins, so you 
>>>only need to have them once at your system.
>>>In the end, it's rather easy to keep it neat and tidy  (and limpid).
>>>
>>>    
>>>
>>
>>The only danger might be the "null" plugin.  This is npnulos2.dll. 
>>While this is probably safe for all recent builds, I wouldn't be so
>>sure about mixing versions between the VACPP and GCC build.
>>
>>  
>>
>Well, I'm copying since almost two years the very latest npnulos2.dll 
>over to my own made plugins directory, and it never made the slightest 
>difference.

Good, so long as you remember to do this.  But, it doesn't help the
problem I mentioned: if you run multiple versions of Mozilla (such as
the suite, Firefox, IWB and VACPP as well as GCC builds), then this
means that you have only one version of npnulos2.dll for all of them. 
To me, this could lead to problems.

>
>If you want to talk about "danger", well it is "dangerous" to keep user 
>files in the program tree. Because, when your program tree is wiped out, 
>also your user files are gone. And other obvious reasons.

I don't consider the plugins to be user files.  They are executables
(not directly, but by other programs).  I have solve the wiping the
mozilla install tree a long time ago with my own installation program
for handling the zip files.  This also handles plugins, icons and a
program objects.  It doesn't handle search plugins, but, I've only
recently really started using these.

Of course, my profiles (the real user files) are long way from the
installation directory and have been since the MOZILLA_HOME environment
variable came about.

>
>
>>Personally, I've never liked the plugins in a common directory.  There
>>have been far to many Mozilla builds that have not been happy with all
>>the plugins (especially Java).
>>
>That is simply not  the trueth. If mozilla is "unhappy", it is for other 
>reasons. A messy java install for instance. ibweb and mozilla dll files 
>conflicting with each other. Simply a bug in mozilla. Shortage of memory 
>(rather important the latter).

Sorry, there have been builds of Mozilla that had problems with
different plugins that had nothing to do with what you say.  Except for
"Simply a bug in mozilla".  That was my whole point.  There have been
bugs in Mozilla that caused problems when certain plugins have been
loaded.  The Netscape multimedia plugins are the ones that come to
mind.  I think this has all been sorted out with current builds, but,
it was not always the case.  Those, and the Java plugins.  Mozilla has
had problems with Java that had nothing to do with the Java install. 
It was a problem with Mozilla using the plugin.  Again, these seem to
be fixed.

>
>Anyway, as mozilla 1.7 is stable, there is no need to call for "danger". 
>Keep it simple, keep it limpid (programmers don't like limpidity 
>apparently) and all will be well.

Firstly, I had to look up "limpid".  I knew the word, but, I've never
seen it used in this way.  The only place I could think of it appearing
would be to describe someones eyes as "limpid pools".  As in "he lost
himself in the limpid pools of her eyes".  And that makes it sound like
I read trashy romance novels.  Trashy SciFi maybe, but, not trashy
romances.  I assume the meaning you are using is "clear" or
"transparent".

Anyway, programmers love clarity and simplicity.  Unfortunately, users
don't allow this.  As soon as something is written, someone will come
along and say "I like it, but, can it also do...".  Of course, the
programmers do this to as we see more that we want to do.

And, if your complaining about how badly programmers write
instructions, them I plead guilty as charged.  You should think
yourself lucky that none of the people I work with are writing this.

Finally on this point:  What I have done is extremely simple and clear.
 I've decided to put all the executable files for the different Mozilla
installations in one place: with the Mozilla installation they are to
be used by.  That way, when I start Mozilla or Firefox or IWB, I know
exactly which files are being used.  And, I know I can go to one place
to solve problems with an installation.

>
>>  So, I have always put the plugins in
>>the install directories so that I could control which build had access
>>to what plugins.
>>-
>>
>
>Which means you have multiple copies of the same files conflicting which 
>each other. That is what I do call "dangerous". And that's why some 
>chaps have all these troubles with mozilla.

Yes, I have multiple copies of the files.  The don't conflict because I
make sure they don't.  And, as I shave aid, it also allows me to
control exactly what plugins my different Mozilla builds have access
to.

--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Tue, 24 Aug 2004 08:21:36 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  whitepages locks Firefox..?

David Forrester schreef:

>>erence.
>>    
>>
>
>Good, so long as you remember to do this.  But, it doesn't help the
>problem I mentioned: if you run multiple versions of Mozilla (such as
>the suite, Firefox, IWB and VACPP as well as GCC builds), then this
>means that you have only one version of npnulos2.dll for all of them. 
>  
>
That's what I do and never has seen problems.

>To me, this could lead to problems.
>
>  
>
Instead of spreading FUD, just reveal what "problems" you expect to be 
expected.

>  
>

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Tue, 24 Aug 2004 22:04:48 +1000
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re:  whitepages locks Firefox..?

On Tue, 24 Aug 2004 08:21:36 +0200, Kris Steenhaut wrote:

>
>
>David Forrester schreef:
>
>>>erence.
>>>    
>>>
>>
>>Good, so long as you remember to do this.  But, it doesn't help the
>>problem I mentioned: if you run multiple versions of Mozilla (such as
>>the suite, Firefox, IWB and VACPP as well as GCC builds), then this
>>means that you have only one version of npnulos2.dll for all of them. 
>>  
>>
>That's what I do and never has seen problems.

Just to check: You saying that you have multiple versions of Mozilla
applications installed (i.e. Mozilla Suite both GCC and VACPP builds,
Firefox and IWB), they share a single npnulos2.dll in a common plugins
directory, and you use all the versions and and never have any
problems?  
>
>>To me, this could lead to problems.
>>
>>  
>>
>Instead of spreading FUD, just reveal what "problems" you expect to be 
>expected.

Does a browser that won't start and leaves an entry in popuplog.os2
count?  At one time I did do what you do.  But, then I installed a
version of one of the browsers that crashed at startup.  When I removed
the plugins, it started OK.  At the time I went tested with all the
different plugins that I had and worked out which ones caused the
problem.  From memory, the culprits were the Netscape multimedia
plugins and one of the Java plugins.  So, because I wanted to use the
new features in the newer version of the browser, but, still wanted to
be able to open a browser that had access to these plugins, especially
Java, I reverted to putting the plugins inside the Mozilla
installation.  And I keep doing this because, as far as I am concerned,
it is safer that way.

I keep mentioning npnulos2.dll.  It appears you are using the same copy
for multiple Mozilla builds.  And it works.  If the builds are similar
ones, such as Firefox 0.9 and Mozilla 1.7, then I'm not surprised. 
But, if you are using a npnulos2.dll from a GCC build with a VACPP
build, I am a little surprised.  This is not from definite experience
with this file, it is from the general experience of it not being a
good idea to mix versions of files. 

--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Tue, 24 Aug 2004 23:32:15 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Java plugin woes, was Re:  Most stable Browser ?

Kris,

this SET kills FF/2 or Mozilla

SET JAVA_HOME=F:\java131\bin

now that I remmed it, it works again

08-24-2004  23:15:54  SYS3175  PID 003c  TID 0009  Slot 0083
F:\MOZILLA.ORG\FIREFOX\FIREFOX.EXE
c0000005
171ef6c1
P1=00000000  P2=ffffffff  P3=XXXXXXXX  P4=XXXXXXXX
EAX=ffffffff  EBX=02c773a5  ECX=02c73384  EDX=02c773a4
ESI=ffffffff  EDI=02c2f5f4
DS=0053  DSACC=f0f3  DSLIM=ffffffff
ES=0053  ESACC=f0f3  ESLIM=ffffffff
FS=150b  FSACC=00f3  FSLIM=00000030
GS=0000  GSACC=****  GSLIM=********
CS:EIP=005b:171ef6c1  CSACC=f0df  CSLIM=ffffffff
SS:ESP=0053:02c2f4ac  SSACC=f0f3  SSLIM=ffffffff
EBP=02c2f54c  FLG=00012286

JVM.DLL 0001:0011f6c1

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   8 ==========================**

Date:  Tue, 24 Aug 2004 16:00:42 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  Java plugin woes,       was Re:  Most stable Browser ?

Voytek Eymont schreef:

>Kris,
>
>this SET kills FF/2 or Mozilla
>
>SET JAVA_HOME=F:\java131\bin
>
>  
>
It should be:

SET java_home=E:\java131\jre\bin

But the entry isn't necessary. I've remmed it out.

But if you set it, it must be well set of course.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------